Page MenuHomePhabricator

language direction conflicts when ltr and rtl text is displayed in parallel
Closed, DeclinedPublic

Description

screenshots visualizing the issue

Handling page titles that natively are supposed to inherit the opposing language direction within a global language direction context will result in display and (auto-complete) lookup errors when the title includes certain characters (e.g. with parentheses which do not have an inherent direction).
A solution might be to store the language direction as per site and have direction applied locally to every site/page link. However, sites may contain page titles of ltr and rtl direction.

In the Wikibase repo extension we have a list of all site links. This list contains links to several sites. In a Wikipedia context this is the list of language links to articles in different Wikipedia instances, so it is a list full of mixed language directions which currently is displayed either in a ltr or rtl user interface depending on the user language.

This problem is basically the same as in MediaWiki core when displaying rtl and ltr text in parallel, see for example #28411.


Version: unspecified
Severity: minor

Attached:

Details

Reference
bz36635

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 12:20 AM
bzimport set Reference to bz36635.
bzimport added a subscriber: Unknown Object (MLST).

Bug 28411 is indeed related. More generally, bug 28970 is about indicating directionality (or ideally, language) per page.

confirming b/c of screenshots and Amir's response.

aude added a comment.Jun 7 2013, 9:56 AM
  • Bug 45932 has been marked as a duplicate of this bug. ***

We just found an interesting occurrence of this bug: https://www.wikidata.org/wiki/Special:Diff/131600143

Change 134386 had a related patch set uploaded by Thiemo Mättig (WMDE):
Right-to-left rendering for site links in diff

https://gerrit.wikimedia.org/r/134386

My diff related patch is only very loosely connected to the original problem reported here. It's the same issue but in an other place.

Change 134386 merged by Hoo man:
Right-to-left rendering for site links in diff

https://gerrit.wikimedia.org/r/134386

Some of the test cases were deleted, but https://www.wikidata.org/wiki/Q1765794?uselang=ar#sitelinks-wikipedia looks ok to me. Can this be closed?

The bug in the search suggestion on he.wiki when using he interface language is still present, but has nothing to do with Wikibase. Is that covered by another report?

Meno25 removed a subscriber: Meno25.Oct 3 2016, 5:06 PM
Restricted Application added a project: Wikidata. · View Herald TranscriptOct 3 2016, 5:06 PM